Description: Adapt to PHPUnit 8.x and 9.x API.
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Index: php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/FileTest.php
===================================================================
--- php-horde-cache.orig/Horde_Cache-2.5.5/test/Horde/Cache/FileTest.php
+++ php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/FileTest.php
@@ -162,7 +162,7 @@ class Horde_Cache_FileTest extends Horde
         $this->assertFileNotExists($this->dir . '/c/a/horde_cache_testcaf8e34be07426ae7127c1b4829983c1');
     }
 
-    public function tearDown()
+    public function tearDown(): void
     {
         parent::tearDown();
         system('rm -r ' . $this->dir);
Index: php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/MongoTest.php
===================================================================
--- php-horde-cache.orig/Horde_Cache-2.5.5/test/Horde/Cache/MongoTest.php
+++ php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/MongoTest.php
@@ -53,7 +53,7 @@ class Horde_Cache_MongoTest extends Hord
         return new Horde_Cache($storage);
     }
 
-    public function tearDown()
+    public function tearDown(): void
     {
         parent::tearDown();
         if (!empty($this->mongo)) {
Index: php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/Sql/Base.php
===================================================================
--- php-horde-cache.orig/Horde_Cache-2.5.5/test/Horde/Cache/Sql/Base.php
+++ php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/Sql/Base.php
@@ -49,7 +49,7 @@ class Horde_Cache_Sql_Base extends Horde
     }
 
 
-    public function tearDown()
+    public function tearDown(): void
     {
         parent::tearDown();
         $this->db->delete('DELETE FROM horde_cache');
Index: php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/TestBase.php
===================================================================
--- php-horde-cache.orig/Horde_Cache-2.5.5/test/Horde/Cache/TestBase.php
+++ php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/TestBase.php
@@ -27,7 +27,7 @@ abstract class Horde_Cache_TestBase exte
 
     abstract protected function _getCache($params = array());
 
-    public function setUp()
+    public function setUp(): void
     {
         $this->cache = $this->_getCache();
         if (!$this->cache) {
@@ -109,7 +109,7 @@ abstract class Horde_Cache_TestBase exte
         $this->assertEquals('data1', $this->cache->get('key1', 0));
     }
 
-    public function tearDown()
+    public function tearDown(): void
     {
         if ($this->cache) {
             $this->cache->clear();
Index: php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/XcacheTest.php
===================================================================
--- php-horde-cache.orig/Horde_Cache-2.5.5/test/Horde/Cache/XcacheTest.php
+++ php-horde-cache/Horde_Cache-2.5.5/test/Horde/Cache/XcacheTest.php
@@ -39,7 +39,7 @@ class Horde_Cache_XcacheTest extends Hor
         $this->markTestSkipped('Not supported');
     }
 
-    public function tearDown()
+    public function tearDown(): void
     {
         if ($this->cache) {
             $this->cache->expire('key1');
